## ECalView

ECalView

## Functions

struct _ECal * | e_cal_view_get_client ()
void | e_cal_view_start ()
void | e_cal_view_stop ()

## Types and Values

struct | ECalView
struct | ECalViewClass

## Description

## Functions

### e_cal_view_get_client ()

    struct _ECal *
    e_cal_view_get_client (ECalView *cal_view);

`e_cal_view_get_client` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClientView

Get the ECal associated with this view.

#### Parameters

cal_view | A ECalView object. |

#### Returns

the associated client.

[transfer none]

Since 2.22

### e_cal_view_start ()

    void
    e_cal_view_start (ECalView *cal_view);

`e_cal_view_start` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClientView

Starts a live query to the calendar/tasks backend.

#### Parameters

cal_view | A ECalView object. |

Since 2.22

### e_cal_view_stop ()

    void
    e_cal_view_stop (ECalView *cal_view);

`e_cal_view_stop` has been deprecated since version 3.2 and should not be used in newly-written code.

Use ECalClientView

Stops a live query to the calendar/tasks backend.

#### Parameters

cal_view | A ECalView object. |

Since 2.32

## Types and Values

### struct ECalView

    struct ECalView {
    	GObject object;
    	ECalViewPrivate *priv;
    };

`ECalView` is deprecated and should not be used in newly-written code.

### struct ECalViewClass

    struct ECalViewClass {
    	GObjectClass parent_class;

    	/* Signals */
    	void (*objects_added)		(ECalView *cal_view,
    						 GList *objects);
    	void (*objects_modified)		(ECalView *cal_view,
    						 GList *objects);
    	void (*objects_removed)		(ECalView *cal_view,
    						 GList *uids);
    	void (*view_progress)		(ECalView *cal_view,
    						 gchar *message,
    						 gint percent);
    	void (*view_done)			(ECalView *cal_view,
    						 ECalendarStatus status);
    	void (*view_complete)		(ECalView *cal_view,
    						 ECalendarStatus status,
    						 const gchar *error_msg);
    };

`ECalViewClass` is deprecated and should not be used in newly-written code.